Ticket #33263

SSH鍵交換アルゴリズム ED25519 のサポート

Open Date: 2014-02-25 23:17 Last Update: 2014-06-01 21:11

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

OpenSSH 6.5(2014/1/29)で、Curve25519楕円曲線DH(Diffe Hellman)アルゴリズムを使った鍵交換が 新たにサポートしており、Tera Termでもこれを対応したい。

cf. http://sourceforge.jp/magazine/14/01/31/203000

Ticket History (3/7 Histories)

2014-02-25 23:17 Updated by: yutakapon
  • New Ticket "SSH鍵交換アルゴリズム ED25519 のサポート" created
2014-03-03 12:30 Updated by: yutakapon
  • Owner Update from (None) to yutakapon
Comment

下記にブランチを作成したので、こちらで作業を進める。

svn+ssh://svn.sourceforge.jp/svnroot/ttssh2/branches/ssh_ed25519

2014-03-15 19:06 Updated by: yutakapon
  • Resolution Update from None to Fixed
Comment
少し時間がかかってしまいましたが、本日貫通し、とりあえず鍵認証できるようになりました。
アーカイブは下記に置いています。

http://ttssh2.sourceforge.jp/snapshot/snapshot-20140315.zip

現時点でサポートしている機能は下記の通り。

 ・Key Generatorで ED25519 鍵の作成
 ・ED25519 による公開鍵認証ログイン
 ・Host Keyに ssh-ed25519 のサポート

なお、ED25519の秘密鍵ファイルは bcrypt KDF という新しいフォーマットに
なりますが、OpenSSH 6.5では従来の秘密鍵に関しても当該フォーマットに変換できるです。
現時点では、Tera Term(TTSSH)に関しては、従来の秘密鍵ファイルフォーマットに bcrypt KDF は
選択できません。
こちらは余力があれば、実装にチャレンジしてみます。

2014-03-16 21:55 Updated by: yutakapon
Comment
TO: 各位

従来のRSA/DSA/ECDSA秘密鍵に対して、bcrypt KDFに対応させるのはさほど難しくなかったので、
実装してみました。ブランチ最先端から生成したアーカイブは、下記に格納しました。

http://ttssh2.sourceforge.jp/snapshot/snapshot-20140316_2.zip

後ほど、内部にも展開しますが、いろいろと使ってみて、不具合等があれば教えてください。
問題ないことが確認できたら、トランクにマージしたいと思います。

現時点でサポートしている機能は下記の通り。

 ・Key Generatorで ED25519 鍵の作成
 ・Key Generatorで RSA/DSA/ECDSA 秘密鍵ファイルに bcrypt KDF を選択可能。
 ・ED25519 による公開鍵認証ログイン
 ・RSA(bcrypt KDF) による公開鍵認証ログイン
 ・DSA(bcrypt KDF) による公開鍵認証ログイン
 ・ECDSA(bcrypt KDF) による公開鍵認証ログイン
 ・Host Keyに ssh-ed25519 のサポート

2014-06-01 09:01 Updated by: None
2014-06-01 21:11 Updated by: yutakapon
  • Milestone Update from Tera Term 4.83 (closed) to (None)
  • Ticket Close date is changed to 2014-06-01 21:11
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login